Download a report result file
curl --request GET \
--url https://api.gcore.com/billing/org/v1/reports/{uuid}/download \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/reports/{uuid}/download"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/reports/{uuid}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"headers": [
"<string>"
],
"rows": [
[
"<unknown>"
]
]
}{
"error": "Failed to render report: <error details>"
}reports
Download a report result file
This method retrieves a generated report file in the specified format.
Use Accept header to specify the file format.
Examples:
- JSON:
Accept=application/json - CSV:
Accept=text/csv - Excel:
Accept=application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
GET
/
billing
/
org
/
v1
/
reports
/
{uuid}
/
download
Download a report result file
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Request-Id header value
Query Parameters
Available options:
csv, json, xlsx Was this page helpful?